import request from "../utils/request"

// let baseApi = ""
let baseApi = "/new"

// 获取openid
export function xcxdl(data) {
    return request({
        url: "/machine/gzh/xcxdl",
        data: data,
        method: "get"
    })
}
// 是否实名
export function xcxsfsm(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxsfsm",
        data: data,
        method: "get"
    })
}
// 获取手机号码
export function xcxPhoneNumber(data) {
    return request({
        url: "/machine/gzh/xcxPhoneNumber",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 绑定实名信息
export function xcxsmbd(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxsmbd",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 获取定位
export function hqdw(data) {
    return request({
        // url: "/machine/gzh/hqdw",
        url: "https://smzc.shizhi.tv/prod-api/machine/all/hqdw",
        data: data,
        method: "post",
    })
}
// 企业列表
export function xcxGetCompanyList(data) {
    return request({
        url: "/machine/gzh/xcxGetCompanyList",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 获取企业税务机关代码
export function xcxGetCompanySwjg(data) {
    return request({
        url: "/machine/gzh/xcxGetCompanySwjg",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 大厅
export function xcxsy(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxsy",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 业务分类
export function xcxywfl(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxywfl",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 业务办理材料
export function xcxxdzl(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxxdzl",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 取号
export function xcxqh(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxqh",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 刷新
export function xcxsxph(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxsxph",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 排队记录
export function xcxpdjl(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxpdjl",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 选择预约日期
export function queryReserveDate(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/queryReserveDate",
        data: data,
        method: "get",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 选择预约时间
export function queryReserveTimePeriod(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/queryReserveTimePeriod",
        data: data,
        method: "get",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 进行预约
export function xcxjxyy(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxjxyy",
        data: data,
        method: "post"
    })
}
// 进行预约
export function xcxqxyy(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxqxyy",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 预约记录
export function xcxyyjl(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxyyjl",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}
// 预约换号
export function xcxyyhh(data) {
    return request({
        url: "/machine" + baseApi + "/gzh/xcxyyhh",
        data: data,
        method: "post",
        header: {
            'content-type': 'application/x-www-form-urlencoded'
        }
    })
}